Subject: bug#41114: 28.0.50; default-directory & buffer-file-name set to file:// URLs

From: Tassilo Horn <[email-masked]>
Date: Sat, 12 Mar 2022 20:25:10 +0100

Michael Albinus <[email-masked]> writes:

Hi!

>> 1. emacs -Q
>> 2. (browse-url-emacs "file:///home/horn/.bashrc") ;; Adapt file name.
>>
>> The result of the procedure is that `buffer-file-name' is
>> "file:///home/horn/.bashrc" and `default-directory' is
>> "file:///home/horn/".
>>
>> According to the docs, both variables should be absolute file names,
>> not URLs.
>
> While the problem still exists in the emacs-28 branch, it seems to be
> fixed in master. Perhaps due to commit e06319b39d5, but I don't know.

Indeed, it is fixed.

> So I propose to close the bug.

Yes, I see Lars already did so and that's obviously fine with me.

Thanks,
  Tassilo